* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Open Sans', sans-serif;
    border: none;
    text-decoration: none;
    outline: none;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: var(--color-light);
}

.AppContainer {
    position: relative;
    background: var(--color-white);
    width: 340px;
    height: 600px;
    box-shadow: 0 5px 5px 5px rgba(0, 0, 0, 0.15);
    overflow: hidden;
}

.wrapper {
    height: 100%;
}

:root {
    --primary-hue-color: 252;
    --dark-color-lightness: 17%;
    --light-color-lightness: 95%;
    --white-color-lightness: 100%;

    --color-white: hsl(252, 30%, var(--white-color-lightness));
    --color-light: hsl(252, 30%, var(--light-color-lightness));
    --color-dark: hsl(252, 30%, var(--dark-color-lightness));
    --color-primary: hsl(var(--primary-hue-color), 75%, 60%);
    --color-success: hsl(120, 95%, 60%);
    --color-danger: hsl(0, 95%, 60%);
    --color-gray: hsl(0, 0%, 70%);
    --color-black: hsl(252, 30%, 10%);
    --color-black-transparent: rgba(0, 0, 0, 0.5);
    --color-warning: rgb(234, 181, 7);
    --color-purple: rgb(160, 99, 245);
    --color-dark-transparent: rgba(0, 0, 0, 0.1);

    --color-time: #a8a8a8;
    --color-blockhover: #f5f5f5;

    --index-simple2: 2;
    --index-10000: 10000;
}

.btn-danger {
    background: var(--color-danger);
    color: var(--color-white);
    padding: .5rem 1rem;
    border-radius: 10px;
    border: none;
    cursor: pointer;
}

.btn-secondary {
    background: var(--color-gray);
    color: var(--color-white);
    padding: .5rem 1rem;
    border-radius: 10px;
    border: none;
    cursor: pointer;
}

.profil-photo {
    width: 2.7rem;
    aspect-ratio: 1/1;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer;
}

.profil-photo img {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*================ Chat User ==============*/
.wrapper .chat-area {
    height: 100%;
}

.chatUsers {
    padding: 25px 30px;
}

.chatUsers header,
.user-list a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--color-dark);
}

:is(.chatUsers, .user-list) .content {
    display: flex;
    align-items: center;
}

:is(.chatUsers, .user-list) .details {
    color: var(--color-black);
    margin-left: 15px;
}

:is(.chatUsers, .user-list) .details span {
    font-size: 18px;
    font-weight: 600;
}

.chatUsers .search {
    margin: 10px 0;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;

}

.chatUsers .search .text {
    font-size: 18px;
}

.chatUsers .search input {
    width: calc(100% - 38px);
    height: 32px;
    border: 1px solid var(--color-dark);
    font-size: 16px;
    border-radius: 5px 0 0 5px;
    outline: none;
}

.chatUsers .search button {
    height: 32px;
    width: 35px;
    border: none;
    outline: none;
    color: var(--color-white);
    background: var(--color-dark);
    border-radius: 0 5px 5px 0;
    font-size: 16px;
}

.user-list {
    max-height: 350px;
    overflow-y: auto;
}

.user-list a {
    padding: 10px 0 10px 10px;
    page-break-after: 10px;
    padding-right: 15px;
    border-bottom-color: var(--color-light);
}

.user-list a:hover {
    background: var(--color-light);
}

.user-list a:last-child {
    border: none;
    margin-bottom: 0px;
}

.user-list a .status-dot {
    font-size: 12px;
    color: var(--color-purple);
}

.chat-area header {
    position: sticky;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: left;
    color: var(--color-white);
    padding: 5px;
}

.chat-area header .details {
    padding-left: 8px;
}

.chat-area header .details>span {
    font-weight: bold;
    font-size: 1.2rem;
}

.chat-area header .back-icon {
    font-size: 30px;
    color: var(--color-dark);
}

.chat-area .chat-box {
    min-height: 100vh;
    overflow-y: auto;
    padding: 1rem .5rem;
    background: var(--color-light);
}

.chat-box .chat {
    margin: 15px 0;
}

.chat-box .chat p {
    padding: .5rem 1rem;
    box-shadow: 0 0 32px rgb(0 0 0 / 8%),
        0 16px 16px -16px rgb(0 0 0 / 10%);
}

.chat-box .outgoing {
    display: flex;
}

.outgoing .details {
    margin-left: auto;
    max-width: calc(100% - 130px);
}

.outgoing .details p {
    word-wrap: break-word;
    background: #333;
    color: #fff;
    border-radius: 18px 18px 0 18px;
    font-size: 1rem;
}

.chat-box .incoming {
    display: flex;
    align-items: end;
}

.incoming .profile-photo {
    width: 2.5rem;
    height: 2.5rem;
}

.incoming .details {
    margin-left: 10px;
    margin-right: auto;
    max-width: calc(100% - 130px);
}

.incoming .details p {
    word-wrap: break-word;
    color: #333;
    background: #fff;
    border-radius: 18px 18px 18px 0px;
    font-size: 1rem;
}

.chat-area .typing-area {
    display: flex;
    justify-content: space-between;
    position: sticky;
    bottom: 0;
    padding: 5px;
    background: var(--color-light);
}

.typing-area input {
    height: 45px;
    width: calc(100% - 58px);
    font-size: 1rem;
    border: 1px solid var(--color-dark);
    padding: 0 13px;
    border-radius: 10px 0px 0px 10px;
    outline: none;
    background: transparent;
    color: var(--color-dark);
}

.typing-area button {
    width: 55px;
    font-size: 1.8rem;
    background: var(--color-dark);
    color: var(--color-white);
    border-radius: 0px 10px 10px 0px;
    cursor: pointer;
}

/*================== DEVIS =====================*/
.requestQuoteBlock {
    display: flex;
    padding: 1rem;
    flex-direction: column;
    align-items: center;
}

.requestQuoteBlock h2 {
    text-align: center;
}

.requestQuoteBlock .suggession {
    display: flex;
    justify-content: center;
    padding: 1rem .5rem;
    margin: 1rem;
    border: 1px solid var(--color-dark);
    border-radius: 8px;
    transition: 1s;
    overflow-y: auto;
}

.requestQuoteBlock .suggession .demandeDevis {
    display: block;
    margin: auto;
}

.suggession .demandeDevis h3 {
    color: var(--color-primary);
    text-align: center;
}

.requestQuoteBlock .suggession .devis {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.suggession .devis>span {
    position: relative;
    width: 200px;
    height: 80px;
    display: inline-block;
    margin: 20px;
    background: var(--color-white);
    cursor: pointer;
}

.suggession .devis>span:before,
.suggession .devis>span:after {
    background: linear-gradient(45deg, var(--color-primary), var(--color-danger), var(--color-primary));
    content: '';
    position: absolute;
    inset: 0;
    transition: .5s;
    inset: -3px;
    filter: blur(3px);
}

.suggession .devis>span .desc {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--color-white);
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: var(--color-dark);
    border: 1px solid #cecece;
    overflow: hidden;
    padding: .5rem;
}

.suggession .devis>span .desc::before {
    content: '';
    position: absolute;
    top: 0;
    left: -20%;
    width: 100%;
    height: 100%;
    background: var(--color-dark-transparent);
    /*transform: skew(25deg)*/
}

.regularForm {
    position: relative;
    border: 1px solid #00ccff;
    padding: 1.5rem 0.5rem 0rem 0.5rem;
    margin-bottom: 1rem;
    transition: 5s;
}

.regularForm>span {
    position: absolute;
    top: -.5rem;
    background: var(--color-white);
    padding: 0 .2rem;
}

/*================= Check COMMANDE ===============*/
.commandeLine_hyg {
    padding: 0.5rem .5rem;
    /*border-top: 5px solid var(--color-warning);*/
    margin: 1rem;
    background: var(--color-white);
    border-radius: 15px;
    box-shadow: 0px 2px 8px;
}

.commandeLine_hyg .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: .3rem;
}

.commandeLine_hyg .header .allStatut {
    font-size: 1.1rem;
    font-weight: 700;
    letter-spacing: 0.02rem;
}

.commandeLine_hyg .header .timeAgo {
    font-size: .8rem;
    text-align: right;
}

.commandeLine_hyg .details {
    font-size: .9rem;
}

.commandeLine_hyg .details .lesCommandes {
    padding-bottom: .5rem .5rem .5rem 1rem;
}

.commandeLine_hyg .details .laCommande {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: .1rem;
}

.commandeLine_hyg .finance {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--color-dark);
    color: lightgray;
    padding: 0.1rem .5rem 0 .5rem;
    border-radius: 10px;
    margin-top: .4rem;
}

/**************************Top slide alert *************************/
#topSlide-alert {
    position: fixed;
    top: 0;
    left: 0;
    background: var(--color-black-transparent);
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    text-align: center;
    z-index: 10;
}

#topSlide-alert .container {
    width: 300px;
    height: max-content;
    border-radius: 10px;
    overflow: hidden;
}

#topSlide-alert .container .header {
    background: var(--color-warning);
    padding: 1rem;
    font-size: 1.2rem;
    font-weight: 600;
}

#topSlide-alert .container .body {
    padding: 1rem;
    background: var(--color-white);
    color: var(--color-dark);
}

#topSlide-alert .body .alert-buttons {
    padding-top: 1rem;
    text-align: right;
}

/*=========== LOGIN ============*/
.overApp {
    background: transparent;
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 10;
}

.topSlide-alert {
    height: 100%;
}

.login {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background: #23242a;
}

.login .login-box {
    position: relative;
    top: 0px;
    width: 300px;
    height: 420px;
    background: #1c1c1c;
    border-radius: 8px;
    overflow: hidden;
    transition: 0.5s;
}

.login .login-box::before {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    width: 300px;
    height: 420px;
    background: linear-gradient(0deg, transparent, transparent, #45f3ff, #45f3ff, #45f3ff);
    transform-origin: bottom right;
    animation: animate 6s linear infinite;
}

.login .login-box::after {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    width: 300px;
    height: 420px;
    background: linear-gradient(0deg, transparent, transparent, #45f3ff, #45f3ff, #45f3ff);
    transform-origin: bottom right;
    animation: animate 6s linear infinite;
    animation-delay: -3s;
}

.borderLine {
    position: absolute;
    top: 0;
    inset: 0;
}

.borderLine::before {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    width: 300px;
    height: 420px;
    background: linear-gradient(0deg, transparent, transparent, #ff2770, #ff2770, #ff2770);
    transform-origin: bottom right;
    animation: animate 6s linear infinite;
    animation-delay: -1.5s;
}

.borderLine::after {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    width: 300px;
    height: 420px;
    background: linear-gradient(0deg, transparent, transparent, #ff2770, #ff2770, #ff2770);
    transform-origin: bottom right;
    animation: animate 6s linear infinite;
    animation-delay: -4.5s;
}

@keyframes animate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.login-box form {
    position: absolute;
    inset: 4px;
    background: var(--color-white);
    padding: 50px 40px;
    border-radius: 8px;
    z-index: var(--index-simple2);
    display: flex;
    flex-direction: column;
    margin: 5px;
}

.login-box form h2 {
    color: var(--color-dark);
    font-weight: 500;
    text-align: center;
    letter-spacing: .1rem;
    margin-bottom: 2rem;
}

.login-box form .container-input:nth-child(4) {
    display: none;
}

form .links {
    font-size: .8rem;
    display: flex;
    justify-content: space-between;
    margin-bottom: 1.5rem;
}

form .links a {
    color: var(--color-dark);
}

/*============ FORM =================*/
.formComponent {
    position: absolute;
    inset: 4px;
    background: var(--color-white);
    padding: 20px 10px;
    border-radius: 8px;
    z-index: var(--index-simple2);
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 5px;
}

.formComponent .form-header {
    color: var(--color-dark);
    font-weight: 500;
    text-align: center;
    letter-spacing: .1rem;
    margin-bottom: 1.2rem;
    /*border-bottom: 2px solid var(--color-primary);*/
}

/*================== Inputs ===================*/

.container-input {
    position: relative;
    margin-bottom: 1rem;
}

.container-input label {
    position: absolute;
    top: .6rem;
    left: .6rem;
    pointer-events: none;
    font-size: 1rem;
    transition: 0.5s;
    color: var(--color-black-transparent);
}

.container-input .input-box {
    display: flex;
    align-items: center;
    padding-right: .5rem;
    border: 1px solid var(--color-primary);
}

input {
    padding: .6rem;
    width: 100%;
    font-size: 1rem;
    letter-spacing: .05rem;
    background: transparent;
    color: var(--color-dark)
}

.container-input .list-input {
    position: absolute;
    height: 100px;
    display: none;
    flex-direction: column;
    border: 1px solid var(--color-white);
    border-radius: 8px;
    background: var(--color-primary);
    margin-top: .2rem;
    z-index: 10;
    overflow-y: auto;
    /*
    */
}

.container-input .list-input span {
    padding: .2rem;
    font-size: .9rem;
    color: #fff;
    display: flex;
    justify-content: center;
    border-bottom: 1px solid var(--color-white);
    z-index: 10;
}

form .toRight {
    text-align: right;
}

form .send-form {
    padding: .5rem 1rem;
    background: var(--color-primary);
    color: #fff;
    border-radius: 8px;
    margin-bottom: 1rem;
    cursor: pointer;
    /*margin-left: .5rem;*/
}

form .cancel-form {
    padding: .5rem 1rem;
    background: var(--color-gray);
    color: #fff;
    border-radius: 8px;
    margin-bottom: 1rem;
    cursor: pointer;
}

/*========== End INPUT ===================*/
/*=============== HEADER =====================*/

header {
    position: relative;
    background: var(--color-primary);
    padding: 20px 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header .logo {
    color: var(--color-white);
    font-weight: 600;
    font-size: 1.1rem;
}

header .action {
    position: relative;
    display: flex;
    gap: 12px;
}

header .action span {
    color: var(--color-white);
    font-size: 1.2rem;
}

header {
    position: relative;
    background: var(--color-primary);
    padding: 20px 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 1px 7px;
}

header .option {
    position: absolute;
    right: 0.5rem;
    top: 4.1rem;
    z-index: 1;
    background: var(--color-primary);
    border-radius: 8px;
    box-shadow: 0px 5px 10px var(--color-dark);
    overflow: hidden;
    display: none;
}

header .option .item {
    color: var(--color-light);
    padding: .5rem;
}

header .option .item:hover {
    color: var(--color-primary);
    background: var(--color-light);
}

/*=========== Tabs =================*/
.tabs .tabsInput {
    visibility: hidden;
    display: none;
}

.tabs .buttons {
    position: relative;
    display: flex;
    background: var(--color-primary);
    border-bottom: 1px solid var(--color-white);
    box-shadow: 0px -1px 5px;
    padding: .2rem;
}

.tabs .buttons label {
    /*width: 33.33%;*/
    color: var(--color-white);
    opacity: 0.75;
    text-align: center;
    padding: .5rem 0;
    font-weight: 600;
    font-size: 0.7rem;
    cursor: pointer;
    text-transform: uppercase;
}

.tabs .tabsInput:nth-child(1):checked~.buttons label:nth-child(1),
.tabs .tabsInput:nth-child(2):checked~.buttons label:nth-child(2),
.tabs .tabsInput:nth-child(3):checked~.buttons label:nth-child(3) {
    opacity: 1;
}

.buttons .underline {
    position: absolute;
    left: 0;
    top: 1px;
    /*width: 33.333%;*/
    height: 3px;
    background: var(--color-white);
    transition: .5s;
}

.tabs .tabsInput:nth-child(1):checked~.buttons .underline {
    left: 0;
}

.tabs .tabsInput:nth-child(2):checked~.buttons .underline {
    left: 50%;
}

/*.tabs .tabsInput:nth-child(3):checked~.buttons .underline {
    left: 66.7%;
}*/

.tabs .sections {
    position: relative;
    width: calc(340px*3);
    display: flex;
    transition: .5s;
    overflow: hidden;
}

.tabs .sections .box {
    position: relative;
    width: 340px;
}

.tabs input:nth-child(1):checked~.sections {
    left: calc(340px*0);
}

.tabs input:nth-child(2):checked~.sections {
    left: calc(-340px*1);
}

.tabs input:nth-child(3):checked~.sections {
    left: calc(-340px*2);
}

/*================ data in tabs ==================*/
.tabs .data {
    position: relative;
    width: 100%;
    height: 510px;
    background: var(--color-light);
    overflow-y: auto;
}

/************ Fin Tabs ***************/

header .logo {
    color: var(--color-white);
    font-weight: 600;
    font-size: 1.1rem;
}

header .action {
    position: relative;
    display: flex;
    gap: 12px;
}

header .action span {
    color: var(--color-white);
    font-size: 1.2rem;
}

/********* FIN HEADER ***********/

/*================== Loader ==================*/
#loader-container {
    width: 100vw;
    height: 100vh;
    z-index: 1000;
    position: absolute;
    display: none;
    align-items: center;
    justify-content: center;
    background: transparent;
}

#loader-container .loader {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

#loader-container .loader .ring {
    width: 200px;
    height: 200px;
    border: 0px solid #011015;
    border-radius: 50%;
    position: absolute;
}

#loader-container .loader .ring:nth-child(1) {
    border-bottom-width: 10px;
    border-color: var(--color-primary);
    animation: rotate1 2s linear infinite;
}

#loader-container .loader .ring:nth-child(2) {
    border-right-width: 10px;
    border-color: var(--color-primary);
    animation: rotate2 2s linear infinite;
}

#loader-container .loader .ring:nth-child(3) {
    border-top-width: 10px;
    border-color: var(--color-primary);
    animation: rotate3 2s linear infinite;
}

@keyframes rotate1 {
    0% {
        transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
    }

    100% {
        transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
    }
}

@keyframes rotate2 {
    0% {
        transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
    }

    100% {
        transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
    }
}

@keyframes rotate3 {
    0% {
        transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
    }

    100% {
        transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
    }
}

#loader-container .loader .loading {
    background: var(--color-white);
    color: var(--color-dark);
}

/*===================== SMALL ============*/
@media screen and (max-width: 768px) {
    .AppContainer {
        width: 100vw;
        height: 100vh;
    }

    .tabs .data {
        height: calc(100vh - 130px);
    }

    .tabs .sections {
        width: calc(100vw*3);
    }

    .tabs .sections .box {
        position: relative;
        width: 100vw;
    }

    .tabs input:nth-child(1):checked~.sections {
        left: calc(100vw*0);
    }

    .tabs input:nth-child(2):checked~.sections {
        left: calc(-100vw*1);
    }

    .tabs input:nth-child(3):checked~.sections {
        left: calc(-100vw*2);
    }

    .commandeLine_hyg .header .allStatut {
        font-size: 1.3rem;
        font-weight: 700;
        letter-spacing: 0.02rem;
    }

    .commandeLine_hyg .header .timeAgo {
        font-size: .9rem;
        text-align: right;
    }

    .commandeLine_hyg .details {
        font-size: 1rem;
    }

    .commandeLine_hyg .finance {
        font-size: 1.4rem;
    }
}